package com.njcn.user.service;

import com.njcn.user.pojo.param.PassWordRuleParam;
import com.njcn.user.pojo.po.UserStrategy;

import java.util.List;

/**
 * Description:
 * Date: 2024/7/11  18:06【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface IPassWordRuleService {
    Boolean ruleUpdate(PassWordRuleParam passWordRuleParam);

    PassWordRuleParam getRule();

    Boolean unlockRoot();

    UserStrategy getUserStrategy();

    List<PassWordRuleParam> getUserStrategyList();
}
